





#ifndef XCOLLISIONBORDER_H
#define XCOLLISIONBORDER_H

#include "xasset.h"

class XCollisionBorder : public XAsset
{
public:
    explicit XCollisionBorder();

    void ParseData(QDataStream *aStream) override;

    const float* GetDistEq() const;
    void SetDistEq(const float* distEq, size_t count = 3);

    float GetZBase() const;
    void SetZBase(float zBase);

    float GetZSlope() const;
    void SetZSlope(float zSlope);

    float GetStart() const;
    void SetStart(float start);

    float GetLength() const;
    void SetLength(float length);

private:
    float mDistEq[3] = {0.0f, 0.0f, 0.0f};
    float mZBase = 0.0f;
    float mZSlope = 0.0f;
    float mStart = 0.0f;
    float mLength = 0.0f;
};

#endif // XCOLLISIONBORDER_H





